/* -----------------------------------------------------	*/
/* Scan command file to invoke scanner frontend			*/
/* ---------------------------------------------		*/
/* It is presumed that it runs in your CDMagic-directory	*/
/* -----------------------------------------------------	*/

/* Passed parameters: ----------

 	CVName_Stem 	,	/* CoverName-Stem:
				   BMP-filename under 
				   which image is saved
				   in the scanner frontend
				
 	ScanFrontend 	,	/* Scanner frontend program
				   where the actual scan 
				   is produced
				   including command line parameters
				

-------------------------------	*/*/*/


/* currently not used:						*/

if pos(".BMP", translate(BMP_Name)) = 0 then
   BMP_Name = BMP_Name||".BMP";


BMP_Path     = SysINI("CDMagic.INI", "Settings", "BMPPath");
CVName_Stem  = SysINI("CDMagic.INI", "Settings", "CVName-Stem");
ScanFrontend = SysINI("CDMagic.INI", "Settings", "ScanFrontend");

/* ----------------------------------------------		*/
/* separate exe-name from commandline parameters:		*/
/* ----------------------------------------------		*/
SFE_Param    = Subword(ScanFrontend, 2);
ScanFrontend = word(ScanFrontend, 1);	

Olddir = directory();
ok = directory(BMP_Path);	/* switch to BMP-path		*/

/* -----------------------------------------------------	*/
/* The following line invokes the frontend program. 		*/
/* MUST be edited by YOU to suit your needs!			*/
/* If you use CFM_Twain too then at least you must		*/
/* modify the path of the swos2.exe (if not in the PATH)	*/
/* -----------------------------------------------------	*/

ScanFrontend" "SFE_Param;

'ren 'CVName_Stem'?.BMP CDM0000?.*'	/* rename to standard name which	
				   is used in CDMagic
				   NOTE:
				   If your scanner frontend uses
				   other names than CFMnnnnn.BMP
				   to store the scanned images,
				   then you must modify the RENAME-
				   statement accordingly

				*/
	
ok = directory(Olddir);		/* restore old dir		*/

exit 0;
